using System;
using System.Collections.Generic;
using Server.Multis;
using Server.Mobiles;
using Server.Network;
using Server.ContextMenus;

namespace Server.Items
{
	[DynamicFliping]
	[Flipable( 0x088E, 0x088F )]
	public class SunkenChest : LockableContainer
	{
		[Constructable]
		public SunkenChest() : base( 0x088E )
		{
			Name = "sunken chest";
		}

		public SunkenChest( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[DynamicFliping]
	[Flipable( 0x088C, 0x088D )]
	public class AncientChest : LockableContainer
	{
		[Constructable]
		public AncientChest() : base( 0x088C )
		{
			Name = "ancient sunken chest";
		}

		public AncientChest( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}